part of mapmyindia_gl;

class DirectionCriteria {
  static const int ROUTE_TYPE_OPTIMAL = 0;
  static const int ROUTE_TYPE_WITHOUT_CONTAINMENT_ZONE = 2;


  static const String RESOURCE_ROUTE_TRAFFIC = "route_traffic";
  static const String RESOURCE_ROUTE_ETA = "route_eta";
  static const String RESOURCE_ROUTE = "route_adv";

  static const String PROFILE_DRIVING = "driving";
  static const String PROFILE_WALKING = "walking";
  static const String PROFILE_BIKING = "biking";
  static const String PROFILE_TRUCKING = "trucking";

  static const String GEOMETRY_POLYLINE = "polyline";
  static const String GEOMETRY_POLYLINE6 = "polyline6";

  static const String OVERVIEW_SIMPLIFIED = "simplified";
  static const String OVERVIEW_FULL = "full";
  static const String OVERVIEW_FALSE = "false";

  static const String ANNOTATION_NODES = "nodes";
  static const String ANNOTATION_DURATION = "duration";
  static const String ANNOTATION_DISTANCE = "distance";
  static const String ANNOTATION_SPEED = "speed";
  static const String ANNOTATION_CONGESTION = "congestion";
  static const String ANNOTATION_MAXSPEED = "maxspeed";
  static const String ANNOTATION_BASE_DURATION = "baseDuration";
  static const String ANNOTATION_SPEED_LIMIT = "spdlmt";

  static const String EXCLUDE_TOLL = "toll";
  static const String EXCLUDE_MOTORWAY = "motorway";
  static const String EXCLUDE_FERRY = "ferry";
  static const String EXCLUDE_TUNNEL = "tunnel";
  static const String EXCLUDE_RESTRICTED = "restricted";

  static const String IMPERIAL = "imperial";
  static const String METRIC = "metric";

  static const String APPROACH_UNRESTRICTED = "unrestricted";
  static const String APPROACH_CURB = "curb";
}